> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Список транзакций кошелька

> Список транзакций биллинга

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/billing/transactions
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/transactions:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: Список транзакций биллинга
      description: >-
        Перечислите транзакции кошелька учетной записи, используя упрощенную
        общедоступную форму DTO.
      operationId: >-
        list_public_billing_transactions_v1_public_accounts__account_id__billing_transactions_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWalletTransactionHistoryResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicWalletTransactionHistoryResponse:
      properties:
        items:
          description: Транзакции кошелька на этой странице
          items:
            $ref: '#/components/schemas/PublicWalletTransactionResponse'
          title: Элементы
          type: array
        page:
          description: Текущий номер страницы, основанный на единице
          title: Страница
          type: integer
        page_size:
          description: Максимальное количество элементов на странице
          title: Размер страницы
          type: integer
        total:
          description: Общее количество соответствующих транзакций кошелька
          title: Всего
          type: integer
      required:
        - page
        - page_size
        - total
      title: PublicWalletTransactionHistoryResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    PublicWalletTransactionResponse:
      description: >-
        Запись истории транзакций общедоступного кошелька с полями,
        ориентированными на клиента.
      properties:
        amount:
          description: Сумма транзакции
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Сумма
          type: string
        balance_after:
          anyOf:
            - pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              type: string
            - type: 'null'
          description: Баланс кошелька после транзакции
          title: Баланс после
        currency:
          description: Код валюты кошелька
          title: Валюта
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Описание транзакции
          title: Описание
        direction:
          description: Направление сделки
          title: Направление
          type: string
        effective_at:
          description: Временная метка фактической транзакции
          format: date-time
          title: Эффективен при
          type: string
        status:
          description: Статус транзакции кошелька
          title: Статус
          type: string
        transaction_id:
          description: Транзакция кошелька UUID
          format: uuid
          title: Идентификатор транзакции
          type: string
        type:
          description: Тип транзакции кошелька
          title: Тип
          type: string
      required:
        - transaction_id
        - type
        - status
        - effective_at
        - amount
        - direction
        - currency
      title: PublicWalletTransactionResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````